Search found 27 matches

by Gold_Car
Sun Jan 11, 2015 1:06 am
Forum: Support and Development
Topic: Problem with register[]
Replies: 11
Views: 2870

Re: Problem with register[]

I just tried that. I've put ents.startup() into the main lua file. Unfortunately, now the game turns into a blue screen. This is what it says. Error main.lua:26: attempt to call field 'startup' (a nil value) Traceback main.lua:26: in function 'load' [C]: in function 'xpcall' I don't quite understand...
by Gold_Car
Sun Jan 11, 2015 12:14 am
Forum: Support and Development
Topic: Problem with register[]
Replies: 11
Views: 2870

Problem with register[]

I've been working on an experiment in LOVE which comes from a tutorial I found. I'm very new to Lua and Love, so watching the tutorial and just doing what the teacher does is the only way for me to get anything done. The problem is, the video series is fairly old and since then, Love updated to 0.9....
by Gold_Car
Sun Jan 04, 2015 12:33 am
Forum: General
Topic: LÖVE 0.9.1 released
Replies: 39
Views: 55694

Re: LÖVE 0.9.1 released

Thanks! It works now.
by Gold_Car
Sat Jan 03, 2015 9:54 pm
Forum: General
Topic: LÖVE 0.9.1 released
Replies: 39
Views: 55694

Re: LÖVE 0.9.1 released

Alright, here's what I've got. I'm trying to make the entities.lua load with the main.lua, and I get that cheeky old bluescreen.
by Gold_Car
Thu Jan 01, 2015 11:48 pm
Forum: General
Topic: LÖVE 0.9.1 released
Replies: 39
Views: 55694

Re: LÖVE 0.9.1 released

Will do.
by Gold_Car
Thu Jan 01, 2015 9:09 pm
Forum: General
Topic: LÖVE 0.9.1 released
Replies: 39
Views: 55694

Re: LÖVE 0.9.1 released

Robin wrote:You could try uploading a .love of your game so we can take a look at it.
How do I turn my files into .love?
by Gold_Car
Thu Jan 01, 2015 2:23 am
Forum: General
Topic: LÖVE 0.9.1 released
Replies: 39
Views: 55694

Re: LÖVE 0.9.1 released

However, it is no longer possible to 'require "bit"' (works fine in lua) - would it be possible to add back this library? There is no bit operations library in Lua 5.1 (which LÖVE used to use until 0.9). LuaJIT (which LÖVE uses by default in 0.9.0 and 0.9.1) includes a bit library which you can use...